import SCard from "./server-card";
import Link from "next/link";

export default function ServerBlock({ servers }) {
  return (
    <div className="p-4 w-full inline-flow align-middle justify-center space-y-8">
      <div className="p-4 ring-2 ring-werefox-blue-dark dark:ring-werefox-blue">
        <p>
          All the stuff I run uses the following server machines with reverse
          SSH connections to a{" "}
          <Link href="https://www.linode.com/?r=61251dc51397edcfacadd7f3744b258b63ad4248">
            <a
              target="_blank"
              className="transition hover:text-werefox-pink-dark dark:hover:text-werefox-pink"
            >
              Linode VPS
            </a>
          </Link>
          {"."}
        </p>
      </div>
      {Object.keys(servers).map((server) => (
        <SCard
          server={server}
          model={servers[server].model}
          cpu={servers[server].cpu}
          gpu={servers[server].gpu}
          ram={servers[server].ram}
          os={servers[server].os}
        />
      ))}
    </div>
  );
}
